UNIT UDialog;

INTERFACE

USES Windows, Classes, Controls, StdCtrls, Forms;

TYPE
  Tfrm_Dialog = Class(TForm)
    lbl_Name: TLabel;
                   edt_Name: TEdit;
                   bttn_Ok: TButton;
                   procedure bttn_OkClick(Sender: TObject);
                   procedure FormActivate(Sender: TObject);
                private
                   { Private declarations }
                public
                   { Public declarations }
                End;

VAR
  frm_Dialog: Tfrm_Dialog;
  theLatterName: String[20];

IMPLEMENTATION

{$R *.DFM}

Procedure Tfrm_Dialog.bttn_OkClick(Sender: TObject);
Begin
   theLatterName:= edt_Name.Text;
End;

Procedure Tfrm_Dialog.FormActivate(Sender: TObject);
Var winX, winY: Integer;
Begin
   winX:= GetSystemMetrics(SM_CXSCREEN);
   winY:= GetSystemMetrics(SM_CYSCREEN);
   Self.Left:= winX div 2 - Self.Width  div 2;
   Self.Top := winY div 2 - Self.Height div 2;
   theLatterName:= '';
End;

END.
 
